classification
Title: Remove commands for PEP 3108
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: benjamin.peterson, brett.cannon, quentin.gallet-gilles
Priority: release blocker Keywords: patch

Created on 2008-05-16 04:37 by brett.cannon, last changed 2008-05-26 21:31 by benjamin.peterson. This issue is now closed.

Files
File name Uploaded Description Edit
remove_commands.patch quentin.gallet-gilles, 2008-05-23 12:29 Remove commands in py3k
commands_2.6.patch quentin.gallet-gilles, 2008-05-23 12:30 Document the removal in trunk
commands_import_fixer.patch quentin.gallet-gilles, 2008-05-26 21:15
Messages (10)
msg66894 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-16 04:37
The commands module is slated to go. The getstatus() function needs to be 
deprecated, with the rest of the module moving into subprocess (and thus 
adding commands to the 2to3 fix_import fixer).
msg67154 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-21 13:59
I'm working on it.
msg67229 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-23 12:25
Ok, here are the patches. Since it's a combination of renaming and
removing, I had to improvize a little, particularly in the 2.6
documentation. Hope it's done correctly.

I still have doubts about the following issue, as commented in
test_commands.py :
# The module says:
#   "NB This only works (and is only relevant) for UNIX."
#
# Actually, getoutput should work on any platform with an os.popen, but
# I'll take the comment as given, and skip this suite.

I played it safe as well and didn't change the platform test (both in
trunk/test_py3kwarn and py3k/test_subprocess). Should this restriction
remain ?
msg67230 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-23 12:29
Ok, here are the patches. Since it's a combination of renaming and
removing, I had to improvise a little (particularly in the 2.6
documentation). Hope it's done correctly.

I still have doubts about the following issue. As commented in
test_commands.py:
# The module says:
#   "NB This only works (and is only relevant) for UNIX."
#
# Actually, getoutput should work on any platform with an os.popen, but
# I'll take the comment as given, and skip this suite.

I also decided to play it safe and didn't change the test (both in
trunk/test_py3kwarn and py3k/test_subprocess). Should this restriction
remain?
msg67231 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-23 12:30
Sorry for the double post
msg67382 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 19:05
r63715 has the 3.0 changes; biggest difference is that I also ripped out 
the mk2arg() and friends since they are not used by anyone.

I still need to add the fixer and add the proper warnings in 2.6 along 
with the doc change.
msg67384 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-26 19:44
2.6 things done in r63721.
msg67389 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-26 20:06
Thanks for adding the warnings, Benjamin. The docs for 2.6 still need to 
be updated about the rename/merge. I have replied to your commit with some 
comments.

And I think the 2to3 fixer still needs to be done. Because of all this I 
am re-opening this issue.
msg67395 - (view) Author: Quentin Gallet-Gilles (quentin.gallet-gilles) Date: 2008-05-26 21:15
I've updated the 2to3 import fixer (mkarg/mk2arg not handled anymore).
msg67397 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-05-26 21:31
I've committed Quentin's 2to3 addition as r63729.
History
Date User Action Args
2008-05-26 21:31:36benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg67397
2008-05-26 21:15:34quentin.gallet-gillessetfiles: + commands_import_fixer.patch
messages: + msg67395
2008-05-26 21:14:48quentin.gallet-gillessetfiles: - commands_import_fixer.patch
2008-05-26 20:06:59brett.cannonsetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg67389
2008-05-26 19:51:33benjamin.petersonunlinkissue2775 dependencies
2008-05-26 19:44:13benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg67384
nosy: + benjamin.peterson
2008-05-26 19:05:28brett.cannonsetmessages: + msg67382
2008-05-26 01:30:57brett.cannonsetassignee: brett.cannon
2008-05-23 12:31:27quentin.gallet-gillessetfiles: + commands_import_fixer.patch
2008-05-23 12:31:00quentin.gallet-gillessetfiles: + commands_2.6.patch
messages: + msg67231
2008-05-23 12:29:51quentin.gallet-gillessetfiles: - remove_commands.patch
2008-05-23 12:29:31quentin.gallet-gillessetfiles: + remove_commands.patch
messages: + msg67230
2008-05-23 12:26:07quentin.gallet-gillessetfiles: + remove_commands.patch
keywords: + patch
messages: + msg67229
2008-05-21 13:59:13quentin.gallet-gillessetnosy: + quentin.gallet-gilles
messages: + msg67154
2008-05-16 04:37:44brett.cannonlinkissue2775 dependencies
2008-05-16 04:37:26brett.cannoncreate